field = {}

function field.load()
   field.sheep = {}
end

function field.update(dt)
   for i, v in pairs(field.sheep) do
      v.think = v.think + dt
      if v.think >= v.think_time then
         v.randomizeDirection()
      end
      v.x = v.x + (v.vx * dt)
      v.y = v.y + (v.vy * dt)

      if v.x - v.radius < 0 then
         v.x = v.radius
      elseif v.x + v.radius > love.graphics.getWidth() then
         v.x = love.graphics.getWidth() - v.radius
      end
      if v.y - v.radius < 0 then
         v.y = v.radius
      elseif v.y + v.radius > love.graphics.getHeight() then
         v.y = love.graphics.getHeight() - v.radius
      end
      v.update(dt)
   end
end

function field.draw()
   for i, v in pairs(field.sheep) do
      v.draw()
   end
end
