function newSheep(x, y)
   local sheep = newAnimatedEntity('images/sheep.png', 20)
   
      sheep.setPosition(x, y)
   
      sheep.addAnimation('idle', 0.1)
      sheep.addAnimationFrames('idle', 0, 0, 40, 40, 2)
         
      sheep.addAnimation('run', 0.25)
      sheep.addAnimationFrames('run', 0, 40, 48, 40, 2)

      sheep.min_speed =  50    
      sheep.max_speed = 100

      function sheep.randomizeDirection()
         sheep.think = 0
         sheep.think_time = love.math.random(1, 2)

         local move = love.math.random(2)
         
         if move == 1 then
            local rx = love.math.random(love.graphics.getWidth())
            local ry = love.math.random(love.graphics.getHeight())
            local rr = getAngle(sheep.x, sheep.y, rx, ry)

            local speed = love.math.random(sheep.min_speed, sheep.max_speed)
            sheep.vx, sheep.vy = getVelocityXY(speed, rr)

            sheep.setAnimation('run')
            if sheep.vx > 0 then sheep.sx = 1 else sheep.sx = -1 end
         else
            sheep.vx = 0
            sheep.vy = 0
            sheep.setAnimation('idle')
         end
      end
   return sheep
end
