state_pause = state_manager.newState(love.graphics.newFont(40))

function state_pause.load()
   state_pause.items = newMenu(state_pause.font, 5)
   state_pause.items.addButton('Resume', love.graphics.getWidth() / 2, 300, function() state_manager.pop() end)
   state_pause.items.addButton('Exit', love.graphics.getWidth() / 2, 400, function() state_manager.pop() state_manager.pop() end)
end

function state_pause.draw()
   love.graphics.setColor(1,1,1,0.5)
   state_game.draw()
   love.graphics.setColor(1,1,1,1)
   love.graphics.setFont(state_pause.font)
   state_pause.items.draw()
end

function state_pause.keypressed(key)
   if key == 'escape' then
      state_manager.pop()
   elseif key == 'up' or key == 'left' then
      state_pause.items.cycle_up()
   elseif key == 'down' or key == 'right' then
      state_pause.items.cycle_down()
   elseif key == 'space' or key == 'enter' then
      state_pause.items.button_press()
   end
end
function state_pause.keyreleased(key)
   if key == 'space' or key == 'enter' then
      state_pause.items.button_release()
   end
end

function state_pause.mousemoved(x, y, dx, dy)
   state_pause.items.mouse_over(x, y)
end
function state_pause.mousepressed(x, y, button)
   if button == 1 then
      state_pause.items.button_press()
   end
end
function state_pause.mousereleased(x, y, button)
   if button == 1 then
      state_pause.items.button_release()
   end
end