state_game_begin = state_manager.newState(love.graphics.newFont(30))

function state_game_begin.load()
   state_game_begin.height = love.graphics.getHeight() * 2
   state_game_begin.speed = 400
   
   state_game_begin.text = 'Round up all the sheep before the time runs out!'
   state_game_begin.x = (love.graphics.getWidth() / 2) - (state_game_begin.font:getWidth(state_game_begin.text) / 2)
   state_game_begin.y = (love.graphics.getHeight() / 2) - (state_game_begin.font:getHeight(state_game_begin.text) / 2)
end

function state_game_begin.update(dt)
   state_game_begin.height = state_game_begin.height - (state_game_begin.speed * dt)
   if state_game_begin.height < 0 then
      state_manager.pop()
   end
end

function state_game_begin.draw()
   state_game.draw()
   love.graphics.setFont(state_game_begin.font)
   love.graphics.setColor(0, 0, 0)
   -- Upper Rectangle
   love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), state_game_begin.height)
   -- Lower Rectangle
   love.graphics.rectangle('fill', 0, love.graphics.getHeight() - state_game_begin.height, love.graphics.getWidth(), state_game_begin.height)
   love.graphics.setColor(1, 1, 1)

   if state_game_begin.height > (love.graphics.getHeight() / 2) + state_game_begin.font:getHeight(state_game_begin.font) + 10 then
      love.graphics.print(state_game_begin.text, state_game_begin.x, state_game_begin.y)
   end
end