function newTimer(ticks)
   local timer = {
      ticks = ticks,
      tick = 1,
      font = love.graphics.newFont(30),
      color = {1, 1, 1, 1}
   }
   
   function timer.update(dt)
      timer.tick = timer.tick - dt
      if timer.tick <= 0 then
         timer.tick = 1
         timer.ticks = timer.ticks - 1
      end
      
      if timer.ticks <= 10 then
         timer.color = {1, 0, 0, 1}
      elseif timer.ticks <= 100 then
         timer.color = {1, 1, 0, 1}
      end
   end
   
   function timer.draw()
      love.graphics.setFont(timer.font)
      love.graphics.print({timer.color, '' .. timer.ticks}, (love.graphics.getWidth() / 2) - (state_game.timer.font:getWidth(state_game.timer.ticks) / 2), 5)
   end
   
   return timer
end
